| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
DC Calibration
bladeRF1-specific API

## Description

These functions are thread-safe.

## Enumerations
enum | bladerf_cal_module { BLADERF_DC_CAL_INVALID = -1 , BLADERF_DC_CAL_LPF_TUNING , BLADERF_DC_CAL_TX_LPF , BLADERF_DC_CAL_RX_LPF , BLADERF_DC_CAL_RXVGA2 }

## Functions
API_EXPORT int CALL_CONV | bladerf_calibrate_dc (struct bladerf *dev, bladerf_cal_module module)

## Enumeration Type Documentation

## ◆ bladerf_cal_module

enum bladerf_cal_module

DC Calibration Modules

Definition at line 1254 of file bladeRF1.h.

## Function Documentation

## ◆ bladerf_calibrate_dc()

API_EXPORT int CALL_CONV bladerf_calibrate_dc | ( | struct bladerf * | dev,
|  | bladerf_cal_module | module )

Perform DC calibration

Parameters

  | dev | Device handle
  [in] | module | Module to calibrate

Returns
  0 on success, value from Error codes list on failure